| Bsoft 2.0.5 Bernard's software package

Functions | Variables
Transform.cpp File Reference

Transform manipulation functions. More...

`#include "Transform.h"`
`#include "Matrix.h"`
`#include "matrix_linear.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
Transform | transform_matrix_solve (Matrix a, vector< double > &bx, vector< double > &by, vector< double > &bz, int flag)
| Solves a 3D geometry fit matrix. More...
Transform | transform_find (int n, Vector3< double > *vector1, Vector3< double > *vector2, int shift)
| Determines the transformation between two sets of vectors. More...

## Variables
int | verbose

## Detailed Description

Transform manipulation functions.

Author
  Bernard Heymann

Date
  Created: 20000501
  Modified: 20150526

Definition in file Transform.cpp.

## Function Documentation

## ◆ transform_find()

Transform transform_find | ( | int | n,
|  | Vector3< double > * | vector1,
|  | Vector3< double > * | vector2,
|  | int | shift
| ) |  |

Determines the transformation between two sets of vectors.

Parameters

  n | number of vectors in each set.
  *vector1 | first vector set.
  *vector2 | second vector set.
  shift | flag to indicate determining shift.

Returns
  Transform transform structure.

      The two sets must have the same number of vectors.

Definition at line 109 of file Transform.cpp.

## ◆ transform_matrix_solve()

Transform transform_matrix_solve | ( | Matrix | a,
|  | vector< double > & | bx,
|  | vector< double > & | by,
|  | vector< double > & | bz,
|  | int | flag
| ) |  |

Solves a 3D geometry fit matrix.

Parameters

  a | nxn matrix.
  bx | x-dimension n-vector.
  by | y-dimension n-vector.
  bz | z-dimension n-vector.
  flag | type of decomposition: 0=LUD, 1=SVD.

Returns
  Transform transform structure.

      The matrix is inverted and solutions for the three vectors generated.

Definition at line 30 of file Transform.cpp.

## Variable Documentation

## ◆ verbose

int verbose